Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.apache.xalan.xpath
Class XNodeSet

    java.lang.Object
      |
      +--weblogic.apache.xalan.xpath.XObject
            |
            +--weblogic.apache.xalan.xpath.XNodeSet

Deprecated. This compatibility layer will be removed in later releases.

public class XNodeSet
extends XObject

This class represents an XPath nodeset object, and is capable of converting the nodeset to other types, such as a string.

This class is based on an implementation from the Apache XML Project. In future releases the XML parser, XSLT processor, and associated classes will likely be updated to be based on a later version of the Apache implementations. Since Apache does not guarantee backwards compatibility between versions of their software, we cannot guarantee backwards compatibility of any of the classes contained in the weblogic.apache package or sub-packages.

See Also:
  Serialized Form

Constructor Summary
`XNodeSet()` Deprecated. Construct an empty XNodeSet object.
`XNodeSet(org.w3c.dom.Node n)` Deprecated. Construct a XNodeSet object for one node.
`XNodeSet(org.w3c.dom.NodeList val)` Deprecated. Construct a XNodeSet object.

Method Summary
`boolean` | `bool()` Deprecated. Cast result object to a boolean.
`boolean` | `equals(XObject obj2)` Deprecated. Tell if two objects are functionally equal.
`int` | `getType()` Deprecated. Tell that this is a CLASS_NODESET.
`java.lang.String` | `getTypeString()` Deprecated. Given a request type, return the equivalent string.
`boolean` | `greaterThan(XObject obj2)` Deprecated. Tell if one object is greater than the other.
`boolean` | `greaterThanOrEqual(XObject obj2)` Deprecated. Tell if one object is greater than the other.
`boolean` | `lessThan(XObject obj2)` Deprecated. Tell if one object is less than the other.
`boolean` | `lessThanOrEqual(XObject obj2)` Deprecated. Tell if one object is less than or equal to the other.
`org.w3c.dom.NodeList` | `mutableNodeset()` Deprecated. Cast result object to a nodelist.
`org.w3c.dom.NodeList` | `nodeset()` Deprecated. Cast result object to a nodelist.
`boolean` | `notEquals(XObject obj2)` Deprecated. Tell if two objects are functionally not equal.
`double` | `num()` Deprecated. Cast result object to a number.
`org.w3c.dom.DocumentFragment` | `rtree(XPathContext support)` Deprecated. Cast result object to a result tree fragment.
`org.w3c.dom.DocumentFragment` | `rtree(XPathSupport support)` Deprecated. Cast result object to a result tree fragment.
`java.lang.String` | `str()` Deprecated. Cast result object to a string.

Methods inherited from class weblogic.apache.xalan.xpath.XObject
`castToType, error, error, object, rtree, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### XNodeSet

    public XNodeSet(org.w3c.dom.NodeList val)

  Deprecated.
  Construct a XNodeSet object.

### XNodeSet

    public XNodeSet()

  Deprecated.
  Construct an empty XNodeSet object.

### XNodeSet

    public XNodeSet(org.w3c.dom.Node n)

  Deprecated.
  Construct a XNodeSet object for one node.

Method Detail

### getType

    public int getType()

  Deprecated.
  Tell that this is a CLASS_NODESET.

  Overrides:
    getType in class XObject

### getTypeString

    public java.lang.String getTypeString()

  Deprecated.
  Given a request type, return the equivalent string. For diagnostic purposes.

  Overrides:
    getTypeString in class XObject

### num

    public double num()

  Deprecated.
  Cast result object to a number.

  Overrides:
    num in class XObject

### bool

    public boolean bool()

  Deprecated.
  Cast result object to a boolean.

  Overrides:
    bool in class XObject

### str

    public java.lang.String str()

  Deprecated.
  Cast result object to a string.

  Overrides:
    str in class XObject

### rtree

    public org.w3c.dom.DocumentFragment rtree(XPathSupport support)

  Deprecated.
  Cast result object to a result tree fragment.

  Overrides:
    rtree in class XObject

### rtree

    public org.w3c.dom.DocumentFragment rtree(XPathContext support)

  Deprecated.
  Cast result object to a result tree fragment.

  Parameters:
    `support` - The XPath context to use for the conversion
  Returns:
    the nodeset as a result tree fragment.

### nodeset

    public org.w3c.dom.NodeList nodeset()
                                 throws javax.xml.transform.TransformerException

  Deprecated.
  Cast result object to a nodelist.

  Overrides:
    nodeset in class XObject

### mutableNodeset

    public org.w3c.dom.NodeList mutableNodeset()

  Deprecated.
  Cast result object to a nodelist.

  Overrides:
    mutableNodeset in class XObject

### lessThan

    public boolean lessThan(XObject obj2)
                     throws org.xml.sax.SAXException,
                            javax.xml.transform.TransformerException

  Deprecated.
  Tell if one object is less than the other.

  Overrides:
    lessThan in class XObject

### lessThanOrEqual

    public boolean lessThanOrEqual(XObject obj2)
                            throws org.xml.sax.SAXException,
                                   javax.xml.transform.TransformerException

  Deprecated.
  Tell if one object is less than or equal to the other.

  Overrides:
    lessThanOrEqual in class XObject

### greaterThan

    public boolean greaterThan(XObject obj2)
                        throws org.xml.sax.SAXException,
                               javax.xml.transform.TransformerException

  Deprecated.
  Tell if one object is greater than the other.

  Overrides:
    greaterThan in class XObject

### greaterThanOrEqual

    public boolean greaterThanOrEqual(XObject obj2)
                               throws org.xml.sax.SAXException,
                                      javax.xml.transform.TransformerException

  Deprecated.
  Tell if one object is greater than the other.

  Overrides:
    greaterThanOrEqual in class XObject

### equals

    public boolean equals(XObject obj2)
                   throws org.xml.sax.SAXException

  Deprecated.
  Tell if two objects are functionally equal.

  Overrides:
    equals in class XObject

### notEquals

    public boolean notEquals(XObject obj2)
                      throws org.xml.sax.SAXException,
                             javax.xml.transform.TransformerException

  Deprecated.
  Tell if two objects are functionally not equal.

  Overrides:
    notEquals in class XObject

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference